const int trigger = 7;
const int echo = 6;
const int piezo = 10;

int distance = 0;
int distanceHigh = 0;

int note = 0;

void setup() {
  pinMode(trigger, OUTPUT);
  pinMode(echo, INPUT);

  while (millis() < 3000) {
    digitalWrite(trigger, HIGH);
    digitalWrite(trigger, LOW);
    distance = pulseIn(echo, HIGH);

    if (distance > distanceHigh) {
      distanceHigh = distance;
    }
  }
}

void loop() {
  digitalWrite(trigger, HIGH);
  delay(10);
  digitalWrite(trigger, LOW);

  distance = pulseIn(echo, HIGH);

  if (distance > distanceHigh) {
    distance = distanceHigh;
  }

  note = map(distance, 50, distanceHigh, 50, 3000);
  tone(piezo, note);

  delay(10);
}
